Replication Recovery Plans - Reprotect

Execute reprotect of the recovery plan.
The operation to reprotect(reverse replicate) a recovery plan. This api is for deprecated scenarios and no longer works.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationRecoveryPlans/{recoveryPlanName}/reProtect?api-version=2026-05-01

URI Parameters

Name In Required Type Description
recoveryPlanName
path True

string

Name of the recovery plan.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

The name of the Vault

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RecoveryPlan

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Execute reprotect of the recovery plan.

Sample request

POST https://management.azure.com/subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationRecoveryPlans/RPtest1/reProtect?api-version=2026-05-01

Sample response

Azure-AsyncOperation: https://management.azure.com/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2026-05-01
{
  "name": "RPtest1",
  "type": "Microsoft.RecoveryServices/vaults/replicationRecoveryPlans",
  "id": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationRecoveryPlans/RPtest1",
  "properties": {
    "allowedOperations": [
      "PlannedFailover",
      "UnplannedFailover",
      "TestFailover"
    ],
    "currentScenario": {
      "jobId": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationJobs/edf01dfb-b649-4802-91e4-3d55ce3bebf0",
      "scenarioName": "ReverseReplication",
      "startTime": "2017-04-27T09:52:16.9818841Z"
    },
    "currentScenarioStatus": "Succeeded",
    "currentScenarioStatusDescription": "Completed",
    "failoverDeploymentModel": "ResourceManager",
    "friendlyName": "RPtest1",
    "groups": [
      {
        "endGroupActions": [],
        "groupType": "Shutdown",
        "replicationProtectedItems": [],
        "startGroupActions": []
      },
      {
        "endGroupActions": [],
        "groupType": "Failover",
        "replicationProtectedItems": [],
        "startGroupActions": []
      },
      {
        "endGroupActions": [],
        "groupType": "Boot",
        "replicationProtectedItems": [
          {
            "id": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/f8491e4f-817a-40dd-a90c-af773978c75b",
            "virtualMachineId": "f8491e4f-817a-40dd-a90c-af773978c75b"
          }
        ],
        "startGroupActions": []
      },
      {
        "endGroupActions": [],
        "groupType": "Boot",
        "replicationProtectedItems": [
          {
            "id": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/c0c14913-3d7a-48ea-9531-cc99e0e686e6",
            "virtualMachineId": "c0c14913-3d7a-48ea-9531-cc99e0e686e6"
          }
        ],
        "startGroupActions": []
      }
    ],
    "lastPlannedFailoverTime": "2017-04-27T08:58:35.9062813Z",
    "lastTestFailoverTime": "2017-04-27T07:00:27.8354747Z",
    "primaryFabricFriendlyName": "cloud1",
    "primaryFabricId": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1",
    "recoveryFabricFriendlyName": "Microsoft Azure",
    "recoveryFabricId": "Microsoft Azure",
    "replicationProviders": [
      "HyperVReplicaAzure"
    ]
  }
}
Azure-AsyncOperation: https://management.azure.com/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2026-05-01
Retry-After: 30

Definitions

Name Description
createdByType

The type of identity that created the resource.

CurrentScenarioDetails

Current scenario details of the protected entity.

ExtendedLocation

Extended location of the resource.

ExtendedLocationType

The extended location type.

PossibleOperationsDirections

The failover direction.

RecoveryPlan

Recovery plan details.

RecoveryPlanA2ADetails

Recovery plan A2A specific details.

RecoveryPlanAction

Recovery plan action details.

RecoveryPlanActionLocation

The fabric location.

RecoveryPlanAutomationRunbookActionDetails

Recovery plan Automation runbook action details.

RecoveryPlanGroup

Recovery plan group details.

RecoveryPlanGroupType

The group type.

RecoveryPlanManualActionDetails

Recovery plan manual action details.

RecoveryPlanProperties

Recovery plan properties.

RecoveryPlanProtectedItem

Recovery plan protected item.

RecoveryPlanScriptActionDetails

Recovery plan script action details.

ReplicationProtectedItemOperation

The list of failover types.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CurrentScenarioDetails

Current scenario details of the protected entity.

Name Type Description
jobId

string

ARM Id of the job being executed.

scenarioName

string

Scenario name.

startTime

string (date-time)

Start time of the workflow.

ExtendedLocation

Extended location of the resource.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationType

The extended location type.

ExtendedLocationType

The extended location type.

Value Description
EdgeZone

EdgeZone

PossibleOperationsDirections

The failover direction.

Value Description
PrimaryToRecovery

PrimaryToRecovery

RecoveryToPrimary

RecoveryToPrimary

RecoveryPlan

Recovery plan details.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource Location

name

string

The name of the resource

properties

RecoveryPlanProperties

The custom details.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RecoveryPlanA2ADetails

Recovery plan A2A specific details.

Name Type Description
instanceType string:

A2A

Gets the Instance type.

primaryExtendedLocation

ExtendedLocation

The primary extended location.

primaryZone

string

The primary zone.

recoveryExtendedLocation

ExtendedLocation

The recovery extended location.

recoveryZone

string

The recovery zone.

RecoveryPlanAction

Recovery plan action details.

Name Type Description
actionName

string

The action name.

customDetails RecoveryPlanActionDetails:

The custom details.

failoverDirections

PossibleOperationsDirections[]

The list of failover directions.

failoverTypes

ReplicationProtectedItemOperation[]

The list of failover types.

RecoveryPlanActionLocation

The fabric location.

Value Description
Primary

Primary

Recovery

Recovery

RecoveryPlanAutomationRunbookActionDetails

Recovery plan Automation runbook action details.

Name Type Description
fabricLocation

RecoveryPlanActionLocation

The fabric location.

instanceType string:

AutomationRunbookActionDetails

Gets the type of action details (see RecoveryPlanActionDetailsTypes enum for possible values).

runbookId

string

The runbook ARM Id.

timeout

string

The runbook timeout.

RecoveryPlanGroup

Recovery plan group details.

Name Type Description
endGroupActions

RecoveryPlanAction[]

The end group actions.

groupType

RecoveryPlanGroupType

The group type.

replicationProtectedItems

RecoveryPlanProtectedItem[]

The list of protected items.

startGroupActions

RecoveryPlanAction[]

The start group actions.

RecoveryPlanGroupType

The group type.

Value Description
Shutdown

Shutdown

Boot

Boot

Failover

Failover

RecoveryPlanManualActionDetails

Recovery plan manual action details.

Name Type Description
description

string

The manual action description.

instanceType string:

ManualActionDetails

Gets the type of action details (see RecoveryPlanActionDetailsTypes enum for possible values).

RecoveryPlanProperties

Recovery plan properties.

Name Type Description
allowedOperations

string[]

The list of allowed operations.

currentScenario

CurrentScenarioDetails

The current scenario details.

currentScenarioStatus

string

The recovery plan status.

currentScenarioStatusDescription

string

The recovery plan status description.

failoverDeploymentModel

string

The failover deployment model.

friendlyName

string

The friendly name.

groups

RecoveryPlanGroup[]

The recovery plan groups.

lastPlannedFailoverTime

string (date-time)

The start time of the last planned failover.

lastTestFailoverTime

string (date-time)

The start time of the last test failover.

lastUnplannedFailoverTime

string (date-time)

The start time of the last unplanned failover.

primaryFabricFriendlyName

string

The primary fabric friendly name.

primaryFabricId

string

The primary fabric Id.

providerSpecificDetails RecoveryPlanProviderSpecificDetails[]:

RecoveryPlanA2ADetails[]

The provider id and provider specific details.

recoveryFabricFriendlyName

string

The recovery fabric friendly name.

recoveryFabricId

string

The recovery fabric Id.

replicationProviders

string[]

The list of replication providers.

RecoveryPlanProtectedItem

Recovery plan protected item.

Name Type Description
id

string

The ARM Id of the recovery plan protected item.

virtualMachineId

string

The virtual machine Id.

RecoveryPlanScriptActionDetails

Recovery plan script action details.

Name Type Description
fabricLocation

RecoveryPlanActionLocation

The fabric location.

instanceType string:

ScriptActionDetails

Gets the type of action details (see RecoveryPlanActionDetailsTypes enum for possible values).

path

string

The script path.

timeout

string

The script timeout.

ReplicationProtectedItemOperation

The list of failover types.

Value Description
ReverseReplicate

ReverseReplicate

Commit

Commit

PlannedFailover

PlannedFailover

UnplannedFailover

UnplannedFailover

DisableProtection

DisableProtection

TestFailover

TestFailover

TestFailoverCleanup

TestFailoverCleanup

Failback

Failback

FinalizeFailback

FinalizeFailback

CancelFailover

CancelFailover

ChangePit

ChangePit

RepairReplication

RepairReplication

SwitchProtection

SwitchProtection

CompleteMigration

CompleteMigration

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.